Skip to main content
GET
/
api
/
v1
/
collections
/
List collections
curl --request GET \
  --url https://api.kynva.ai/api/v1/collections/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kynva.ai/api/v1/collections/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kynva.ai/api/v1/collections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "description": "<string>",
      "coverImageUrl": "<string>",
      "badgeText": "<string>",
      "badgeColor": "<string>",
      "tier": "<string>",
      "featured": true,
      "templateCount": 123,
      "usageCount": 123
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Query Parameters

type
string

Filter by collection type (campaign, industry, seasonal, style, starter)

tier
string

Filter by tier (free, starter, pro, enterprise)

Filter to only featured collections

limit
number
default:20
Required range: x <= 100
offset
number
default:0

Response

200 - application/json

List of template collections

List of template collections

success
boolean
data
object[]
pagination
object